function [w,suma,srednia] = Arnold(x,omega,K,N)
%This function for given values of the parameters omega and K, number of
%iterates N and a starting point x, 0<=x<=1, calculates:
% w - the value of the point F^N(x) (mod 1, i.e. on the circle), where F is the lift of f,
% suma - the coordinates of the point z_N (the end point of the curlicue in
%       the complex plane),
% srednia - the ,,Birkhoff time average'' of the points F^n(x),  0<=n<=N, under the function g(x)=exp(2\pi x),


% for the curclicue generated by the Arnold circle map f(x)=
% x+omega-(K/(2*pi))*sin(2*pi*x) mod 1

% The function also plots the resulting curlicue


w=x;
suma=[cos(2*pi*w),sin(2*pi*w)];
srednia=[0,0];
wektor=zeros(N+1,2);
wektor(2,:)=suma;
for n=2:N;
    w=w+omega-(K/(2*pi))*sin(2*pi*w);
    suma=suma+[cos(2*pi*w),sin(2*pi*w)];
    wektor(n+1,:)=suma;
end

    srednia=suma/N;
    iks=wektor(:,1);
    igrek=wektor(:,2);
    plot(iks,igrek);
end

