function [w,suma,srednia, maxim] = Rotation(ro,N,x)
%This function for given values of the rotation number ro, number of
%iterates N and a starting point x, 0<=x<=1, calculates:
% w - the value of the point F^N(x) (mod 1, i.e. on the circle), where F is the lift of f,
% suma - the coordinates of the point z_N (the end point of the curlicue in
%       the complex plane),
% srednia - the ,,Birkhoff time average'' of the points F^n(x),  0<=n<=N, under the function g(x)=exp(2\pi x),
% maxim - the maximum distance of the points z_n, 0<=n<=N, on the curlicue
%         and the origin (0,0)


% for the curclicue generated by the rotation f on the circle by angle 2\pi ro

% The function also plots the resulting curlicue

w=x;
suma=[cos(2*pi*w),sin(2*pi*w)];
srednia=[0,0];
wektor=zeros(N+1,2);
wektor(2,:)=suma;
maxim=0;
for n=2:N;
    w=mod(x+(n-1)*ro,1);
    suma=suma+[cos(2*pi*w),sin(2*pi*w)];
    wektor(n+1,:)=suma;
    zesp=suma(1,1)+i*suma(1,2);
    modul=abs(zesp);
    if maxim<modul;
        maxim=modul;
    end
end
    srednia=suma/N;
    iks=wektor(:,1);
    igrek=wektor(:,2);
    plot(iks,igrek);

end

