function [w,suma,srednia, maxim] = Sequence(N)
%This function for a given value of the number of
%iterates N calculates:
% w - the value the element $u_N$, 
% suma - the coordinates of the point z_N (the end point of the curlicue in
%       the complex plane),
% srednia - the ,,Birkhoff time average'' of the points F^n(0),  0<=n<=N, under the function g(x)=exp(2\pi x),
% maxim - the maximum distance of the points z_n, 0<=n<=N, on the curlicue
%         and the origin (0,0)


% for the curlicue generated by the sequence u_n=nlog(n)
% The function also plots the resulting curlicue
w=0;
suma=[cos(2*pi*w),sin(2*pi*w)];
srednia=[0,0];
wektor=zeros(N+1,2);
wektor(2,:)=suma;
maxim=0;
for n=2:N;
    w=n*log(n);
    suma=suma+[cos(2*pi*w),sin(2*pi*w)];
    wektor(n+1,:)=suma;
    zesp=suma(1,1)+i*suma(1,2);
    modul=abs(zesp);
    if maxim<modul;
        maxim=modul;
    end
end
    srednia=suma/N;
    iks=wektor(:,1);
    igrek=wektor(:,2);
    plot(iks,igrek);

end

